#pragma once


#define INIT_PACK_ADDRESS 0x721EA0
//ÊÕ°ü
typedef void(__fastcall* init_pack_handler_t)(void* Ecx);
static init_pack_handler_t Lpfn_Init = nullptr;
typedef void(__cdecl* pack_handler_t)(int idx, int err, void*, void*);
typedef void(__cdecl* register_pack_handler_t)(int idx, pack_handler_t handler, int zero);




class sock
{
private:




public:
	static void Pack_Control(int idx, int code, void* p3, void* p4);

	static void Pack_Control2(int idx, int code, void* p3, void* p4);

public:



	static void R_Register_Pack();

	static bool Net_Get_Byte(BYTE& v);
	static bool Net_Get_Short(short int& v);
	static bool Net_Get_Dword(DWORD& v);
	static bool Net_Get_Buffer(char* v, int sz);
};

